import { NetworkCostConstraint } from "./externalApiTypes";
export declare function getUserGeoName(): string;
export declare function getGeoLocationCode(): string;
export declare function isInCTARegion(): boolean;
export declare function isTextDirectionRTL(): boolean;
export declare function isPrivacyConsentAccepted(): boolean;
export declare function isInternetConnectionAvailable(): boolean;
export declare function networkCostConstraint(): NetworkCostConstraint;
export declare function addNetworkStatusChangedEventListener(networkStatusChanged: () => any): Promise<void>;
export declare function removeNetworkStatusChangedEventListener(networkStatusChanged: () => any): Promise<void>;
export declare function isWVVersionBlocked(): boolean;
export declare function isAppVersionBlocked(): boolean;
export declare function isOSVersionBlocked(): boolean;
